<!DOCTYPE REFENTRY PUBLIC "-//Sun Microsystems//DTD DocBook V3.0-Based SolBook Subset V2.0//EN" [
<!--ArborText, Inc., 1988-1999, v.4002-->
<!--ARC : LSARC 2005/734 GNOME For Nevada-->
<!ENTITY cmd "rsvg">
<!ENTITY % commonents SYSTEM "smancommon.ent">
%commonents;
<!ENTITY % booktitles SYSTEM "booktitles.ent">
%booktitles;
<!ENTITY suncopy "Copyright (c) 2004, Sun Microsystems, Inc. All Rights Reserved.">
]>
<?Pub UDT _bookmark _target>
<?Pub Inc>
<refentry id="rsvg-1">
<!-- %Z%%M% %I% %E% SMI; -->
<refmeta><refentrytitle>rsvg</refentrytitle><manvolnum>1</manvolnum>
<refmiscinfo class="date">7 Sep 2004</refmiscinfo>
<refmiscinfo class="sectdesc">&man1;</refmiscinfo>
<refmiscinfo class="software">&release;</refmiscinfo>
<refmiscinfo class="arch">generic</refmiscinfo>
<refmiscinfo class="copyright">&suncopy;</refmiscinfo>
</refmeta>
<indexterm><primary>rsvg</primary></indexterm><indexterm><primary>convert
SVG files into raster images</primary></indexterm>
<refnamediv id="rsvg-1-name"><refname>rsvg</refname><refpurpose>convert SVG
files into raster images</refpurpose></refnamediv>
<refsynopsisdiv id="rsvg-1-synp"><title>&synp-tt;</title>
<cmdsynopsis><command>&cmd;</command>
<arg choice="opt"><option>-dpi-x=<replaceable>number</replaceable></option></arg>
<arg choice="opt"><option>-dpi-y=<replaceable>number</replaceable></option></arg>
<arg choice="opt"><option>-format png|jpeg</option></arg>
<arg choice="opt"><option>-height=<replaceable>integer</replaceable></option></arg>
<arg choice="opt"><option>-quality=<replaceable>integer</replaceable></option></arg>
<arg choice="opt"><option>-version</option></arg>
<arg choice="opt"><option>-width <replaceable>integer</replaceable></option></arg>
<arg choice="opt"><option>-x-zoom <replaceable>number</replaceable></option></arg>
<arg choice="opt"><option>-y-zoom <replaceable>number</replaceable></option></arg>
<arg choice="plain"><option role="nodash"><replaceable>infile.svg</replaceable></option></arg>
<arg choice="plain"><option role="nodash"><replaceable>outfile.png</replaceable> | <replaceable>outfile.jpeg
</replaceable></option></arg>
</cmdsynopsis></refsynopsisdiv>
<refsect1 id="rsvg-1-desc"><title>&desc-tt;</title>
<para><command>&cmd;</command> converts SVG images into PNG and JPEG raster
images.</para>
</refsect1>
<refsect1 id="rsvg-1-opts"><title>&opts-tt;</title>
<para>The following options are supported:</para>
<variablelist termlength="medium">
<varlistentry><term><option>d</option, <option>-dpi-x=<replaceable>number</replaceable></option></term>
<listitem><para>Set the X resolution of the image in pixels per inch. The default value is 90dpi.</para>
</listitem></varlistentry>
<varlistentry><term><option>p</option, <option>-dpi-y=<replaceable>number</replaceable></option></term>
<listitem><para>Set the Y resolution of the image in pixels per inch. The default value is 90dpi.</para>
</listitem></varlistentry>
<varlistentry><term><option>f</option>, <option>-format png|jpeg</option></term>
<listitem><para>Specify the output format for the converted image. The default value is <literal>png</literal>.</para>
</listitem></varlistentry>
<varlistentry><term><option>h</option>, <option>-height=<replaceable>integer</replaceable></option></term>
<listitem><para>Specify the height of the converted image. The default value is the height of the original image.</para>
</listitem></varlistentry>
<varlistentry><term><option>h</option>, <option>-quality=<replaceable>integer</replaceable></option></term>
<listitem><para>JPEG quality value</para>
</listitem></varlistentry>
<varlistentry><term><option>v</option, <option>-version</option></term><listitem><para>Display <command>&cmd;</command>
version information.</para>
</listitem></varlistentry>
<varlistentry><term><option>w</option>, <option>-width <replaceable>integer</replaceable></option></term>
<listitem><para>Specify the width of the converted image. The default value
is the width of the original image.</para>
</listitem></varlistentry>
<varlistentry><term><option>x</option>, <option>-x-zoom <replaceable>number</replaceable></option></term>
<listitem><para>X Zoom factor, as a percentage. The default value is 1.0.</para>
</listitem></varlistentry>
<varlistentry><term><option>y</option>, <option>-y-zoom <replaceable>number</replaceable></option></term>
<listitem><para>Y Zoom factor, as a percentage. The default value is 1.0.</para>
</listitem></varlistentry>
</variablelist></refsect1>
<refsect1 id="rsvg-1-oper"><title>&oper-tt;</title>
<para>The following operands are supported:</para>
<variablelist termlength="medium">
<varlistentry><term><option role="nodash"><replaceable>infile.svg</replaceable></option></term>
<listitem><para>The name of the input SVG file.</para>
</listitem></varlistentry>
<varlistentry><term><option role="nodash"><replaceable>outfile.png</replaceable></option></term>
<listitem><para>The name of the converted PNG file.</para>
</listitem></varlistentry>
<varlistentry><term><option role="nodash"><replaceable>outfile.jpeg</replaceable></option></term>
<listitem><para>The name of the converted JPEG file.</para>
</listitem></varlistentry>
</variablelist></refsect1>
<refsect1 id="rsvg-1-exam"><title>&exam-tt;</title>
<example role="example">
<title>Converting an SVG Image to PNG</title>
<para><screen>example% <userinput>&cmd; myfile.svg myfile.png</userinput></screen></para>
</example>
<example role="example">
<title>Converting an SVG Image to JPEG at 300dpi Resolution</title>
<para><screen>example% <userinput>&cmd; -f jpeg -d 300 myfile.svg myfile.jpg
</userinput></screen></para>
</example>
</refsect1>
<refsect1 id="rsvg-1-exit"><title>&exit-tt;</title>
<para>The following exit values are returned:</para>
<variablelist termlength="xtranarrow">
<varlistentry><term><returnvalue>0</returnvalue></term><listitem><para>Application
exited successfully</para>
</listitem></varlistentry>
<varlistentry><term><returnvalue>>0</returnvalue></term><listitem><para>Application
exited with failure</para>
</listitem></varlistentry>
</variablelist></refsect1>
<refsect1 id="rsvg-1-file"><title>&file-tt;</title>
<para>The following files are used by this application:</para>
<variablelist termlength="medium">
<varlistentry><term><filename>/usr/bin/&cmd;</filename></term><listitem><para>
Executable to convert SVG files into raster images</para>
</listitem></varlistentry>
</variablelist></refsect1>
<refsect1 id="rsvg-1-attr"><title>&attr-tt;</title>
<para>See <olink targetdocent="REFMAN5" localinfo="attributes-5"><citerefentry>
<refentrytitle>attributes</refentrytitle><manvolnum>5</manvolnum></citerefentry></olink>
for descriptions of the following attributes:</para>
<informaltable frame="all">
<tgroup cols="2" colsep="1" rowsep="1"><colspec colname="COLSPEC0" colwidth="1*">
<colspec colname="COLSPEC1" colwidth="1*">
<thead>
<row><entry align="center" valign="middle">ATTRIBUTE TYPE</entry><entry align="center"
valign="middle">ATTRIBUTE VALUE</entry></row>
</thead>
<tbody>
<row><entry><para>Availability</para></entry><entry><para>image/library/librsvg</para></entry></row>
<row><entry colname="COLSPEC0"><para>Interface stability</para></entry><entry colname="COLSPEC1"><para>Volatile</para></entry></row>
</tbody>
</tgroup>
</informaltable>
</refsect1>
<refsect1 id="rsvg-1-also"><title>&also-tt;</title>
<!--Reference to another man page-->
<!--Reference to a Help manual-->
<!--Reference to a book.-->
<para><literal>http://librsvg.sourceforge.net/</literal></para>
<para><literal>http://www.w3.org/TR/SVG11/</literal></para>
<para>
<citerefentry><refentrytitle>librsvg-2</refentrytitle><manvolnum>3</manvolnum></citerefentry>,
<citerefentry><refentrytitle>attributes</refentrytitle><manvolnum>5</manvolnum></citerefentry>
</para>
</refsect1>
<refsect1 id="rsvg-1-note"><title>&note-tt;</title>
<para>Original man page written by Dom Lachowicz (cinamod@hotmail.com), Alex
Larsson (alex@redhat.com), and others.</para>
<para>Updated by Laszlo Peter, Sun Microsystems Inc., 2004.</para>
</refsect1>
</refentry>
